<ul class="nav container-fluid nav-tabs w-75 border-bottom-0">
	<mx:bloc id="TabeB">
	<li mXattribut="class:TabeView">
		<a mXattribut="class:ClassTabeView" mXattribut="href:UrlTabeView">
			<i class="mr-1 fa fa-lg fa-<mx:text id="pictoTabe"/>"></i>
			<mx:text id="TabeNameView"/>
		</a>
	</li>
    </mx:bloc id="TabeB">
</ul>
<div class="tab-content container-fluid px-0 py-2 border w-75">
	<div class="card w-100 text-center border-0">
		<div class="card-header">
			<h3><mx:text id="TabeBTabeNameView"/> (<mx:text id="TxtActionInstallControlTitle"/>)</h3>
		</div>
		<div class="card-title mx-auto w-75">
			<p><mx:text id="TxtActionInstallControlText"/></p>
			<p><mx:text id="TxtActionInstallControlTextBis"/></p>
			<p><mx:text id="TxtActionInstallControlTextWait"/></p>
		</div>
		<div class="card-body">
			<div class="row mb-2">
				<form id="formUpload" role="form" class="container form w-50" method="post" enctype="multipart/form-data" mXattribut="action:urlUpload">
					<input type='hidden' class="hidden" name='MAX_FILE_SIZE' value='10000000000000'/>
					<div class="input-group">
						<div class="custom-file">
							<input type="file" class="custom-file-input" name="uploadFile" id="uploadFile">
							<label class="custom-file-label" for="uploadFile">Choose file</label>
						</div>
						<div class="input-group-append">
							<input type="submit" name="BtnValid" class="btn btn-outline-secondary btn-lg btn-sm" aria-pressed="true" MxAttribut="value:BtnUploadInstall"/>
						</div>
					</div>
				</form>
			</div>
		</div>
		<div class="card-header">
			<h3><mx:text id="TxtObjectCoordination"/></h3>
		</div>
		<div class="card-body">
			<table class="table table-sm table-responsive-sm table-bordered table-striped table-hover" id="tabObjectCoordination" mXattribut="summary:TxtObjectCoordination">
				<thead class="thead-default">
					<tr>
						<th><mx:text id="TxtName"/></th>
						<th><mx:text id="TxtSize"/></th>
						<th><mx:text id="TxtVersion"/></th>
						<th data-orderable="false"><mx:text id="TxtAction"/></th>
					</tr>
				</thead>
				<tbody>
					<mx:bloc id="object_coordination">
					<tr>
						<td class="py-0 align-middle"><mx:text id="name"/></td>
						<td class="py-0 align-middle"><mx:text id="size"/></td>
						<td class="py-0 align-middle"><mx:text id="version"/></td>
						<td class="py-0 align-middle">
							<span><a mXattribut="href:urlDetail"><span class="fa fa-lg fa-eye"></span></a></span>
							<span><a mXattribut="href:urlDownload"><span class="fa fa-lg fa-cloud-download"></span></a></span>
						</td>
					</tr>
						<mx:bloc id="DETAIL">
						<tr>
							<td colspan="4" class="tabledetail"><mx:text id="detail"/></td>
						</tr>
						</mx:bloc id="DETAIL">
					</mx:bloc id="object_coordination">
				</tbody>
			</table>
		</div>
		<div class="card-header">
			<h3><mx:text id="TxtObjectPlugin"/></h3>
		</div>
		<div class="card-body">
			<table class="table table-sm table-responsive-sm table-bordered table-striped table-hover" id="tabObjectPlugin" mXattribut="summary:TxtObjectPlugin"/>
				<thead class="thead-default">
					<tr>
						<th><mx:text id="TxtName"/></th>
						<th><mx:text id="TxtSize"/></th>
						<th><mx:text id="TxtVersion"/></th>
						<th data-orderable="false"><mx:text id="TxtAction"/></th>
					</tr>
				</thead>
				<mx:bloc id="object_plugin">
				<tr>
					<td class="py-0 align-middle"><mx:text id="name"/></td>
					<td class="py-0 align-middle"><mx:text id="size"/></td>
					<td class="py-0 align-middle"><mx:text id="version"/></td>
					<td class="py-0 align-middle">
						<span><a mXattribut="href:urlDetail"><span class="fa fa-lg fa-eye"></span></a></span>
						<span><a mXattribut="href:urlDownload"><span class="fa fa-lg fa-cloud-download"></span></a></span>
					</td>
				</tr>
					<mx:bloc id="DETAIL">
					<tr>
						<td colspan="4" class="tabledetail"><mx:text id="detail"/></td>
					</tr>
					</mx:bloc id="DETAIL">
				</mx:bloc id="object_plugin">
			</table>
		</div>
		<div class="card-header">
			<h3><mx:text id="TxtObjectPrinting"/></h3>
		</div>
		<div class="card-body">
			<table class="table table-sm table-responsive-sm table-bordered table-striped table-hover" id="tabObjectPrinting" mXattribut="summary:TxtObjectPrinting">
				<thead class="thead-default">
					<tr>
						<th><mx:text id="TxtName"/></th>
						<th><mx:text id="TxtSize"/></th>
						<th><mx:text id="TxtVersion"/></th>
						<th data-orderable="false"><mx:text id="TxtAction"/></th>
					</tr>
				</thead>
				<mx:bloc id="object_printing">
				<tr>
					<td class="py-0 align-middle"><mx:text id="name"/></td>
					<td class="py-0 align-middle"><mx:text id="size"/></td>
					<td class="py-0 align-middle"><mx:text id="version"/></td>
					<td class="py-0 align-middle">
						<span><a mXattribut="href:urlDetail"><span class="fa fa-lg fa-eye"></span></a></span>
						<span><a mXattribut="href:urlDownload"><span class="fa fa-lg fa-cloud-download"></span></a></span>
					</td>
				</tr>
					<mx:bloc id="DETAIL">
					<tr>
						<td colspan="4" class="tabledetail"><mx:text id="detail"/></td>
					</tr>
					</mx:bloc id="DETAIL">
				</mx:bloc id="object_printing">
			</table>
		</div>
		<div class="card-header">
			<h3><mx:text id="TxtTemplate"/></h3>
		</div>
		<div class="card-body">
			<table class="table table-sm table-responsive-sm table-bordered table-striped table-hover" id="tabTemplate" mXattribut="summary:TxtTemplate">
				<thead class="thead-default">
					<tr>
						<th><mx:text id="TxtName"/></th>
						<th><mx:text id="TxtSize"/></th>
						<th><mx:text id="TxtVersion"/></th>
						<th data-orderable="false"><mx:text id="TxtAction"/></th>
					</tr>
				</thead>
				<mx:bloc id="template">
				<tr>
					<td class="py-0 align-middle"><mx:text id="name"/></td>
					<td class="py-0 align-middle"><mx:text id="size"/></td>
					<td class="py-0 align-middle"><mx:text id="version"/></td>
					<td class="py-0 align-middle">
						<span><a mXattribut="href:urlDetail"><span class="fa fa-lg fa-eye"></span></a></span>
						<span><a mXattribut="href:urlDownload"><span class="fa fa-lg fa-cloud-download"></span></a></span>
					</td>
				</tr>
					<mx:bloc id="DETAIL">
					<tr>
						<td colspan="4" class="tabledetail"><mx:text id="detail"/></td>
					</tr>
					</mx:bloc id="DETAIL">
				</mx:bloc id="template">
			</table>
		</div>
		<div class="card-header">
			<h3><mx:text id="TxtUpgrade"/></h3>
		</div>
		<div class="card-body">
			<table class="table table-sm table-responsive-sm table-bordered table-striped table-hover" id="tabUpgrade" mXattribut="summary:TxtUpgrade">
				<thead class="thead-default">
					<tr>
						<th><mx:text id="TxtName"/></th>
						<th><mx:text id="TxtSize"/></th>
						<th><mx:text id="TxtVersion"/></th>
						<th data-orderable="false"><mx:text id="TxtAction"/></th>
					</tr>
				</thead>
				<mx:bloc id="upgrade">
				<tr>
					<td class="py-0 align-middle"><mx:text id="name"/></td>
					<td class="py-0 align-middle"><mx:text id="size"/></td>
					<td class="py-0 align-middle"><mx:text id="version"/></td>
					<td class="py-0 align-middle">
						<span><a mXattribut="href:urlDetail"><span class="fa fa-lg fa-eye"></span></a></span>
						<span><a mXattribut="href:urlDownload"><span class="fa fa-lg fa-cloud-download"></span></a></span>
					</td>
				</tr>
					<mx:bloc id="DETAIL">
					<tr>
						<td colspan="4" class="tabledetail"><mx:text id="detail"/></td>
					</tr>
					</mx:bloc id="DETAIL">
				</mx:bloc id="upgrade">
			</table>
		</div>
	</div>
</div>
