<!DOCTYPE html>
<html xml:lang="fr-FR" lang="fr-FR">
	<head>
		<title>Fablab LCube - Laboratoire de Fabrication Numérique associatif à Limoges et en Limousin.</title>
		<link rel="icon" type="image/png" href="favicon.png?v=3" />
		<!--[if IE]><link rel="shortcut icon" type="image/x-icon" href="favicon.ico?v=3" /><![endif]-->
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Expires" content="Mon, 06 Jan 1990 00:00:01 GMT" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta name="keywords" content="Limoges, Limousin, fablab, fabshop, fab accademy, laboratoire, laboratory, fabrication, numérique, tiers-lieu, conception, prototypage, 3D, formation numérique, confidentialité, entreprises, particuliers, associations, collectivité, impression 3d, imprimante, découpage, laser, fraisage, fraiseuse numérique, tour numérique, robotique, électronique, informatique, collaboratif, open source, libre, projet, création, association, faire par soi-même, do it yourself, diy, tiers-lieu, confidentialité, arduino, raspberry, pi" />
		<meta name="description" content="LCube - Laboratoire de Fabrication Numérique de Limoges et en Limousin." />
		<meta name="classification" content="internet, engineering, software, digital" />
		<meta name="author" content="" />
		<meta name="identifier-url" content="http://www.fab-l3.org" />
		<meta name="language" content="fr" />
		<meta name="reply-to" content="contact@fab-l3.org" />
		<meta name="revisit-after" content="1" />
		<meta name="category" content="internet, engineering, software, digital" />
		<meta name="rating" content="general" />
		<meta name="robots" content="index,follow,all" />
		<meta name="publisher" content="contact@fab-l3.org" />
		<meta name="distribution" content="global">
		<meta name="copyright" content="&copy; LCube 2014-2015" />
		<link rel="alternate" hreflang="fr-FR" href="http://www.fab-l3.org/" />
	
		<!-- Jetpack Open Graph Tags -->
        <meta property="og:type" content="website" />
        <meta property="og:title" content="Fablab LCube - Laboratoire de Fabrication Numérique associatif à Limoges et en Limousin." />
        <meta property="og:description" content="Fablab LCube - Laboratoire de Fabrication Numérique associatif à Limoges et en Limousin." />
        <meta property="og:url" content="http://www.fab-l3.org/" />
        <meta property="og:site_name" content="Fablab LCube - Fabrication et prototypage numériques" />
        <meta property="og:image" content="https://s0.wp.com/i/blank.jpg" />
        <meta property="og:locale" content="fr_FR" />
        
        <script type="application/ld+json">
        {
                "@context": "http://schema.org",
                "@type": "Organization",
                "name" : "Fablab LCube - Limoges",
                "url": "http://www.fab-l3.org",
                "logo": "http://www.fab-l3.org/data/image/communities/139_logo.png",
                "contactPoint" : [
                {       "@type" : "ContactPoint",
                        "telephone" : "+33699115707",
                        "contactType" : "customer service"
                } ],
                "address": {
                        "@type": "PostalAddress",
                        "streetAddress": "90, Route du Palais",
                        "addressLocality": "Limoges",
                        "addressRegion": "Limousin"
                    },
                "sameAs" : [
                            "http://www.facebook.com/fablcube",
                            "http://twitter.com/FablabLCube",
                            "http://plus.google.com/+FablabLCube"
                ]
        }
        </script>
	
		<script type="text/javascript" src="data/javascript/jquery-3.1.1.min.js"></script> 
		<script type="text/javascript" src="data/javascript/jquery.tools.min.js"></script>

<!-- 	<meta name="viewport" content="width=device-width, initial-scale=1.0"> -->
		<link rel="stylesheet" type="text/css" href="data/template/qware/lcube6.css" media="screen" />
	</head>
	<body>
		<div id="application">
			<div id="data">
				<mx:bloc id="DATA"></mx:bloc id="DATA">
			</div>
		</div>
	</body>
</html>
